# Class MessageBatchRequestItem

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an item in a batch of messages.

    public class MessageBatchRequestItem

Inheritance
  object
  MessageBatchRequestItem

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### MessageBatchRequestItem(string, MessageRequest)

Initializes a new instance of the MessageBatchRequestItem class.

    public MessageBatchRequestItem(string customId, MessageRequest messageRequest)

#### Parameters

`customId` string

  The custom identifier for the message.

`messageRequest` MessageRequest

  The message request parameters.

#### Exceptions

ArgumentException

  Thrown when `customId` is null or whitespace.

ArgumentException

  Thrown when `messageRequest` is null.

## Properties

### CustomId

Gets the custom identifier for the message.

    [JsonPropertyName("custom_id")]
    public string CustomId { get; init; }

#### Property Value

string

### Params

Gets the message request parameters.

    public MessageRequest Params { get; init; }

#### Property Value

MessageRequest